## libsndfile 1.0.28

=== debian/changelog ===
libsndfile (1.0.28-8) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * examples: Decouple from config.h.
    This allows them to be built standalone, without the rest of the
    libsndfile source tree. This is useful because config.h is
    architecture-dependent, preventing multi-arch co-installation.
  * Mark libsndfile1-dev as Multi-Arch: same.  (Closes: #960445; LP: #1720725)
  * Add a superficial compile/link/execute autopkgtest for libsndfile1-dev.

  [ Mattia Rizzolo ]
  * d/control: Bump debhelper compat level to 13.
    + Add the .la file to d/not-installed.
  * d/rules: Remove now obsolete --dbgsym-migration option.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 May 2020 17:33:03 +0200

libsndfile (1.0.28-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Feb 2020 10:59:43 +0100

libsndfile (1.0.28-6) unstable; urgency=medium

  * Backported fix for out-of-bound reading (CVE-2019-3832) (Closes: #922372)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 08 Mar 2019 20:35:07 +0100

libsndfile (1.0.28-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Normalize patches with 'gbp pq'
  * Add patch to fix buffer overflows in alaw/ulaw code
    (CVE-2018-19661, CVE-2018-19662, CVE-2017-17456 and CVE-2017-17457).
    Thanks to Hugo Lefeuvre <hle@owl.eu.com> (Closes: #884735)
  * Patch to fix division by zero (CVE-2017-14634)
    Thanks to Fabian Greffrath <fabian@greffrath.com> (Closes: #876783)
  * Patch to fix heap read overflow (CVE-2018-19758)
    Thanks to Erik de Castro Lopo <erikd@mega-nerd.com> (Closes: #917416)
  * Patch to ensure that maxnum channels is not exceeded.
    Thanks to Brett T. Warden <brett.t.warden@intel.com>
  * Declare that "root" is not required to build this package
  * Removed whitespace at end of d/changelog
  * Bumped dh compat to 12
  * Bump standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Feb 2019 15:59:58 +0100

libsndfile (1.0.28-4) unstable; urgency=medium

  * Moved maintainance to pkg-multimedia team
  * Made examples buildable (and build reproducible)
  * Dropped doubly installed docs
  * Dropped B-D on autotools-dev
  * Bumped standards version to 4.0.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 Aug 2017 14:21:33 +0200

libsndfile (1.0.28-3) unstable; urgency=medium

  * Backported heap-overflow fix from upstream.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 12 Jul 2017 23:22:54 +0200

libsndfile (1.0.28-2) unstable; urgency=medium

  * Backported fixes for RF64 support on armel/armhf (Closes: #865344)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Jun 2017 21:35:50 +0200

libsndfile (1.0.28-1) unstable; urgency=medium

  * New upstream version 1.0.28

  * d/patches/
    * Removed patches applied upstream
    * Refreshed patches
    * Backported patch for fixing CVE-2017-6892
      (Closes: #864704)
    * Fixed more typos
  * d/control: single line per Depends
  * Switched packaging to shorthand dh
    * Build automatic debug packages
    * Dropped setting of DEB_*_GNU_TYPE and friends
  * Raised debhelper compat to 10
    * Dropped B-D on dh-autoreconf
    * B-D on autotools-dev
  * Use DEP5 for d/copyright
  * Bumped standards version to 4.0.0
  *

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Jun 2017 15:03:55 +0200

=== debian/control ===
Source: libsndfile
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libvorbis-dev (>= 1.2.3),
 libflac-dev (>= 1.1.4-3),
 libasound2-dev [linux-any],
Rules-Requires-Root: no
Homepage: http://www.mega-nerd.com/libsndfile/
Vcs-Git: https://salsa.debian.org/multimedia-team/libsndfile.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libsndfile
Standards-Version: 4.5.0

Package: libsndfile1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libsndfile1 (= ${binary:Version}),
 pkg-config,
 libvorbis-dev (>= 1.2.3),
 libflac-dev (>= 1.1.4-3),
Conflicts: libsndfile-dev,
 libsndfile0-dev
Replaces: libsndfile-dev
Provides: libsndfile-dev
Description: Development files for libsndfile; a library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 This is the development version of libsndfile. You will need this only if you
 intend to compile programs that use this library.

Package: libsndfile1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 Various versions of WAV (integer, floating point, GSM, and compressed formats);
 Microsoft PCM, A-law and u-law formats; AIFF, AIFC and RIFX; various AU/SND
 formats (Sun/NeXT, Dec AU, G721 and G723 ADPCM); RAW header-less PCM files;
 Amiga IFF/8SVX/16SV PCM files; Ensoniq PARIS  (.PAF); Apple's Core Audio Format
 (CAF) and others.

Package: sndfile-programs
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: sndfile-tools
Description: Sample programs that use libsndfile
 This package contains simple programs which use libsndfile for operating on
 sound files.
 .
 Programs include:
   - sndfile-cmp : compare the audio data of two files
   - sndfile-concat : concatenate two or more files
   - sndfile-convert : convert between sound file formats
   - sndfile-info : print information about files
   - sndfile-metadata-get/set : get and set file metadata
   - sndfile-play : play a sound file

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2017 IOhannes m zmölnig
# under the LGPL-2.1+

DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	-find man/ -type l -delete

=== debian/tests/control ===
Tests: libsndfile1-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libsndfile1-dev

## libsndfile 1.0.28.2

=== debian/changelog ===
libsndfile (1.0.28.2-1+dde) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Mon, 09 Aug 2021 16:22:44 +0800

libsndfile (1.0.28.1-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Tue, 23 Feb 2021 04:00:11 +0000

## libsndfile 1.0.28.3

=== debian/changelog ===
libsndfile (1.0.28.3-1+deepin) unstable; urgency=medium

  * fix CVE-2021-4156.

 -- dinghao <dinghao@uniontech.com>  Thu, 27 Oct 2022 15:58:28 +0800

## libsndfile 1.0.31

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1..3.18)

# MSVC runtime library flags are selected by an abstraction, CMake >= 3.15
# This policy still need to be set even with cmake_minimum_required() command above.
if (POLICY CMP0091)
	if ((DEFINED ENABLE_STATIC_RUNTIME) AND (DEFINED CMAKE_MSVC_RUNTIME_LIBRARY))
		message (FATAL_ERROR "Both ENABLE_STATIC_RUNTIME and CMAKE_MSVC_RUNTIME_LIBRARY are set.")
		return ()
	endif ()

	if (DEFINED CMAKE_MSVC_RUNTIME_LIBRARY)
		cmake_policy (SET CMP0091 NEW)
	else ()
		cmake_policy (SET CMP0091 OLD)
	endif ()
endif ()

project(libsndfile VERSION 1.0.31)

#
# Variables
#

set (CMAKE_C_STANDARD 99)
set (CMAKE_C_STANDARD_REQUIRED TRUE)
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set (PACKAGE_NAME ${PROJECT_NAME})
set (CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set (CPACK_PACKAGE_VERSION_STAGE "")
set (CPACK_PACKAGE_VERSION_FULL "${PROJECT_VERSION}${CPACK_PACKAGE_VERSION_STAGE}")

#
# System-wide includes
#

include (GNUInstallDirs)
include (FeatureSummary)
include (CMakeDependentOption)
include (CTest)
include (CheckCCompilerFlag)

#
# Options
#

option (BUILD_SHARED_LIBS "Build shared libraries" OFF)
if (BUILD_SHARED_LIBS AND BUILD_TESTING)
	set (BUILD_TESTING OFF)
	message ("Build testing required static libraries. To prevent build errors BUILD_TESTING disabled.")
endif ()
option (BUILD_PROGRAMS "Build programs" ON)
option (BUILD_EXAMPLES "Build examples" ON)
option (ENABLE_CPACK "Enable CPack support" ON)
option (ENABLE_EXPERIMENTAL "Enable experimental code" OFF)
option (ENABLE_BOW_DOCS "Enable black-on-white html docs" OFF)
if (MSVC AND (DEFINED ENABLE_STATIC_RUNTIME))
	option (ENABLE_STATIC_RUNTIME "Enable static runtime" ${ENABLE_STATIC_RUNTIME})
elseif (MINGW)
	option (ENABLE_STATIC_RUNTIME "Enable static runtime" OFF)
endif ()
option (ENABLE_PACKAGE_CONFIG "Generate and install package config file" ON)
option (INSTALL_PKGCONFIG_MODULE "Generate and install pkg-config module" ON)

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
if (CMAKE_VERSION VERSION_LESS 3.14)
	list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/sqlite")
endif ()

#
# Setup definitions
#

include(SndFileChecks)


cmake_dependent_option (BUILD_REGTEST "Build regtest" ON "SQLITE3_FOUND" OFF)
cmake_dependent_option (ENABLE_EXTERNAL_LIBS "Enable FLAC, Vorbis, and Opus codecs" ON "Vorbis_FOUND;FLAC_FOUND;OPUS_FOUND" OFF)
cmake_dependent_option (ENABLE_CPU_CLIP "Enable tricky cpu specific clipper" ON "CPU_CLIPS_POSITIVE;CPU_CLIPS_NEGATIVE" OFF)
if (NOT ENABLE_CPU_CLIP)
	set (CPU_CLIPS_POSITIVE FALSE)
	set (CPU_CLIPS_NEGATIVE FALSE)
endif ()
cmake_dependent_option (ENABLE_COMPATIBLE_LIBSNDFILE_NAME "Set DLL name to libsndfile-1.dll (canonical name), sndfile.dll otherwise" OFF "WIN32;BUILD_SHARED_LIBS" OFF)
cmake_dependent_option (INSTALL_MANPAGES "Install man pages for programs" ON "BUILD_PROGRAMS" OFF)

if (NOT MSVC)
	if (CPU_IS_X86)
		check_c_compiler_flag (-msse2 HAVE_MSSE2_COMPILER_FLAG)
		if (HAVE_MSSE2_COMPILER_FLAG)
			cmake_dependent_option (ENABLE_SSE2 "Add SSE2 compiler flag" ON "HAVE_MSSE2_COMPILER_FLAG" OFF)
		endif ()
	endif ()
endif ()
if (ENABLE_SSE2)
	add_compile_options (-msse2)
endif ()

set (HAVE_EXTERNAL_XIPH_LIBS ${ENABLE_EXTERNAL_LIBS})
set (HAVE_SQLITE3 ${BUILD_REGTEST})
set (HAVE_ALSA_ASOUNDLIB_H ${ALSA_FOUND})
set (HAVE_SNDIO_H ${SNDIO_FOUND})

set (ENABLE_EXPERIMENTAL_CODE ${ENABLE_EXPERIMENTAL})
set (HAVE_SPEEX ${ENABLE_EXPERIMENTAL})
set (HAVE_OPUS ${ENABLE_EXPERIMENTAL})

add_feature_info (BUILD_SHARED_LIBS BUILD_SHARED_LIBS "build shared libraries")
add_feature_info (ENABLE_EXTERNAL_LIBS ENABLE_EXTERNAL_LIBS "enable FLAC, Vorbis, and Opus codecs")
add_feature_info (ENABLE_EXPERIMENTAL ENABLE_EXPERIMENTAL "enable experimental code")
add_feature_info (BUILD_TESTING BUILD_TESTING "build tests")
add_feature_info (BUILD_REGTEST BUILD_REGTEST "build regtest")
add_feature_info (ENABLE_CPACK ENABLE_CPACK "enable CPack support")
add_feature_info (ENABLE_CPU_CLIP ENABLE_CPU_CLIP "Enable tricky cpu specific clipper")
add_feature_info (ENABLE_BOW_DOCS ENABLE_BOW_DOCS "enable black-on-white html docs")
add_feature_info (ENABLE_PACKAGE_CONFIG ENABLE_PACKAGE_CONFIG "generate and install package config file")
add_feature_info (INSTALL_PKGCONFIG_MODULE INSTALL_PKGCONFIG_MODULE "generate and install pkg-config module")
add_feature_info (INSTALL_MANPAGES INSTALL_MANPAGES "install man pages for programs")
if (WIN32 AND BUILD_SHARED_LIBS)
	add_feature_info (ENABLE_COMPATIBLE_LIBSNDFILE_NAME ENABLE_COMPATIBLE_LIBSNDFILE_NAME "Set DLL name to libsndfile-1.dll (canonical name), sndfile.dll otherwise")
endif ()

if (HAVE_MSSE2_COMPILER_FLAG)
	add_feature_info (ENABLE_SSE2 ENABLE_SSE2 "add SSE2 compiler flag")
endif ()




set_package_properties (Ogg PROPERTIES
	TYPE RECOMMENDED
	URL "www.xiph.org/ogg/"
	DESCRIPTION "library for manipulating ogg bitstreams"
	PURPOSE "Required to enable Vorbis, Speex, and Opus support"
	)
set_package_properties (Vorbis PROPERTIES
	TYPE RECOMMENDED
	URL "www.vorbis.com/"
	DESCRIPTION "open source lossy audio codec"
	PURPOSE "Enables Vorbis support"
	)
set_package_properties (FLAC PROPERTIES
	TYPE RECOMMENDED
	URL "www.xiph.org/flac/"
	DESCRIPTION "Free Lossless Audio Codec Library"
	PURPOSE "Enables FLAC support"
	)
set_package_properties(Opus PROPERTIES
	TYPE RECOMMENDED
	URL	"www.opus-codec.org/"
	DESCRIPTION "Standardized open source low-latency fullband codec"
	PURPOSE	"Enables experimental Opus support"
	)
set_package_properties(Speex PROPERTIES TYPE OPTIONAL
	URL "www.speex.org/"
	DESCRIPTION "an audio codec tuned for speech"
	PURPOSE "Enables experemental Speex support"
	)
set_package_properties (SQLite3 PROPERTIES
	TYPE OPTIONAL
	URL "www.sqlite.org/"
	DESCRIPTION "light weight SQL database engine."
	PURPOSE "Enables regtest"
	)
if (BUILD_SHARED_LIBS)
	set_package_properties (PythonInterp PROPERTIES
		TYPE REQUIRED
		URL "www.python.org/"
		DESCRIPTION "Python is a widely used high-level programming language."
		PURPOSE "Required to build shared libraries"
		)
endif()

feature_summary (WHAT ALL)

#
# Setup configuration
#

configure_file (src/config.h.cmake src/config.h)

configure_file (include/sndfile.h.in include/sndfile.h)

if (INSTALL_PKGCONFIG_MODULE)

	set (prefix ${CMAKE_INSTALL_PREFIX})
	set (exec_prefix "\$\{prefix\}")
	set (libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
	set (includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
	set (VERSION ${PROJECT_VERSION})
	if (ENABLE_EXTERNAL_LIBS)
		set (EXTERNAL_XIPH_REQUIRE "flac ogg vorbis vorbisenc opus")
		if (ENABLE_EXPERIMENTAL)
			set (EXTERNAL_XIPH_REQUIRE "${EXTERNAL_XIPH_REQUIRE} speex")
		endif ()
	endif ()

	configure_file (sndfile.pc.in sndfile.pc @ONLY)

endif ()

#
# libsndfile
#

# Public libsndfile headers
set (sndfile_HDRS
	include/sndfile.hh
	${CMAKE_CURRENT_BINARY_DIR}/include/sndfile.h
	)

#
# libsndfile static library
#

add_library (sndfile
	src/sfconfig.h
	src/sfendian.h
	src/sf_unistd.h
	src/common.h
	src/common.c
	src/file_io.c
	src/command.c
	src/pcm.c
	src/ulaw.c
	src/alaw.c
	src/float32.c
	src/double64.c
	src/ima_adpcm.c
	src/ms_adpcm.c
	src/gsm610.c
	src/dwvw.c
	src/vox_adpcm.c
	src/interleave.c
	src/strings.c
	src/dither.c
	src/cart.c
	src/broadcast.c
	src/audio_detect.c
 	src/ima_oki_adpcm.c
	src/ima_oki_adpcm.h
	src/alac.c
	src/chunk.c
	src/ogg.h
	src/ogg.c
	src/chanmap.h
	src/chanmap.c
	src/id3.c
	$<$<BOOL:${WIN32}>:src/windows.c>
	src/sndfile.c
	src/aiff.c
	src/au.c
	src/avr.c
	src/caf.c
	src/dwd.c
	src/flac.c
	src/g72x.c
	src/htk.c
	src/ircam.c
	src/macos.c
	src/mat4.c
	src/mat5.c
	src/nist.c
	src/paf.c
	src/pvf.c
	src/raw.c
	src/rx2.c
	src/sd2.c
	src/sds.c
	src/svx.c
	src/txw.c
	src/voc.c
	src/wve.c
	src/w64.c
	src/wavlike.h
	src/wavlike.c
	src/wav.c
	src/xi.c
	src/mpc2k.c
	src/rf64.c
	src/ogg_vorbis.c
	src/ogg_speex.c
	src/ogg_pcm.c
	src/ogg_opus.c
	src/ogg_vcomment.c
	src/nms_adpcm.c
	src/GSM610/config.h
	src/GSM610/gsm.h
	src/GSM610/gsm610_priv.h
	src/GSM610/add.c
	src/GSM610/code.c
	src/GSM610/decode.c
	src/GSM610/gsm_create.c
	src/GSM610/gsm_decode.c
	src/GSM610/gsm_destroy.c
	src/GSM610/gsm_encode.c
	src/GSM610/gsm_option.c
	src/GSM610/long_term.c
	src/GSM610/lpc.c
	src/GSM610/preprocess.c
	src/GSM610/rpe.c
	src/GSM610/short_term.c
	src/GSM610/table.c
	src/G72x/g72x.h
	src/G72x/g72x_priv.h
	src/G72x/g721.c
	src/G72x/g723_16.c
	src/G72x/g723_24.c
	src/G72x/g723_40.c
	src/G72x/g72x.c
	src/ALAC/ALACAudioTypes.h
	src/ALAC/ALACBitUtilities.h
	src/ALAC/EndianPortable.h
	src/ALAC/aglib.h
	src/ALAC/dplib.h
	src/ALAC/matrixlib.h
	src/ALAC/alac_codec.h
	src/ALAC/shift.h
	src/ALAC/ALACBitUtilities.c
	src/ALAC/ag_dec.c
	src/ALAC/ag_enc.c
	src/ALAC/dp_dec.c
	src/ALAC/dp_enc.c
	src/ALAC/matrix_dec.c
	src/ALAC/matrix_enc.c
	src/ALAC/alac_decoder.c
	src/ALAC/alac_encoder.c
	${sndfile_HDRS}
	${CMAKE_CURRENT_BINARY_DIR}/src/config.h
	)

add_library (SndFile::sndfile ALIAS sndfile)

target_include_directories (sndfile
	PUBLIC
		$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
		$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
		$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
	PRIVATE
		src
		$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/src>
	)
target_link_libraries (sndfile
	PRIVATE
		$<$<BOOL:${LIBM_REQUIRED}>:m>
		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:Vorbis::vorbisenc>
		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:FLAC::FLAC>
		$<$<AND:$<BOOL:${ENABLE_EXPERIMENTAL}>,$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>,$<BOOL:${HAVE_SPEEX}>>:Speex::Speex>
		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:Opus::opus>
	)
set_target_properties (sndfile PROPERTIES
	PUBLIC_HEADER "${sndfile_HDRS}"
	)

if (ENABLE_COMPATIBLE_LIBSNDFILE_NAME)
	if (MINGW OR CYGWIN)
		set_target_properties (sndfile PROPERTIES
			RUNTIME_OUTPUT_NAME "sndfile-1"
			)
	else ()
		set_target_properties (sndfile PROPERTIES
			RUNTIME_OUTPUT_NAME "libsndfile-1"
			)
	endif ()
endif ()

if (BUILD_SHARED_LIBS)

	if (WIN32)
		set (VERSION_MAJOR ${CPACK_PACKAGE_VERSION_MAJOR})
		set (GEN_TOOL cmake)
		
		set (WIN_RC_VERSION "${CPACK_PACKAGE_VERSION_MAJOR},${CPACK_PACKAGE_VERSION_MINOR},${CPACK_PACKAGE_VERSION_PATCH}")
		set (CLEAN_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
		set (PACKAGE_VERSION ${CPACK_PACKAGE_VERSION})

		configure_file (src/version-metadata.rc.in src/version-metadata.rc @ONLY)
		target_sources (sndfile PRIVATE ${PROJECT_BINARY_DIR}/src/version-metadata.rc)
	endif ()

	set_target_properties (sndfile PROPERTIES
		SOVERSION ${PROJECT_VERSION_MAJOR}
		VERSION ${PROJECT_VERSION}
		)

	# Symbol files generation

	if (WIN32)
		set (SYMBOL_FILENAME "sndfile.def")
		set (SYMBOL_OS "win32")
	elseif ((CMAKE_SYSTEM_NAME MATCHES "Darwin") OR (CMAKE_SYSTEM_NAME MATCHES "Rhapsody"))
		set (SYMBOL_FILENAME "Symbols.darwin")
		set (SYMBOL_OS "darwin")
	elseif (CMAKE_SYSTEM_NAME MATCHES "OS2")
		set (SYMBOL_FILENAME "Symbols.os2")
		set (SYMBOL_OS "os2")
	elseif (UNIX)
		set (SYMBOL_FILENAME "Symbols.gnu-binutils")
		set (SYMBOL_OS "linux")
	endif ()

	if (DEFINED SYMBOL_OS)
		add_custom_command (
			OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
			COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/src/create_symbols_file.py ${SYMBOL_OS} ${PROJECT_VERSION} > ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
			COMMENT "Generating ${SYMBOL_FILENAME}..."
			)

		add_custom_target (GENFILES DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME})
		if (SYMBOL_OS MATCHES "win32")
			target_sources (sndfile
				PRIVATE
					${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
				)
		elseif (SYMBOL_OS MATCHES "darwin")
			add_dependencies (sndfile GENFILES)
			if (CMAKE_VERSION VERSION_LESS 3.13)
				set_property (TARGET sndfile APPEND_STRING PROPERTY
					LINK_FLAGS "-Wl,-exported_symbols_list -Wl,${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}"
					)
			else ()

=== debian/changelog ===
libsndfile (1.0.31-2ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2021-4156.patch: addresses improper buffer reusing
    - CVE-2021-4156
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2024-50612.patch: adds better error checking for
      vorbis.
    - CVE-2024-50612

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 12 Feb 2025 23:51:50 +0200

libsndfile (1.0.31-2ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: integer overflow vulnerability
    - debian/patches/CVE-2022-33065/CVE-2022-33065-*.patch: fix various
      numeric overflow vulnerabilities.
    - CVE-2022-33065

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 02 Nov 2023 16:42:46 +0100

libsndfile (1.0.31-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:13:47 +0100

libsndfile (1.0.31-2) unstable; urgency=medium

  * Team upload

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix FTBFS with DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #984746)

  [ Sebastian Ramacher ]
  * debian/patches: Apply upstream fix for CVE-2021-3246 (Closes: #991496)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Jul 2021 23:09:17 +0200

libsndfile (1.0.31-1) unstable; urgency=medium

  * New upstream version 1.0.31
    * (LP: #1807823, #1807825, #1807826, #900332, #999994)
    * (LP: #1036831, #1546685)
    * Refresh patches
  * Register documentation as markdown (aka: text) rather than html

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Jan 2021 23:05:07 +0100

libsndfile (1.0.30-1) unstable; urgency=medium

  * New upstream version 1.0.30
    * Drop patches applied upstream
    * Refresh patches
    * Fix more typos
  * Re-arranged B-Ds alphabetically
  * B-D on autogen, python3 & libopus-dev
  * Have libsndfile-dev depend on libopus-dev
  * Run upstream testsuite as autopkgtest
    * Include test-suite in libsndfile1-dev
  * Fix false-positive of salsa-pipeline "blhc"
  * Update d/copyright to handle filerenames
  * Updated d/watch to point to github
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Jan 2021 16:24:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,36 @@
 Source: libsndfile
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ autogen,
  pkg-config,
+ libasound2-dev [linux-any],
+ libflac-dev (>= 1.1.4-3),
+ libopus-dev,
  libvorbis-dev (>= 1.2.3),
- libflac-dev (>= 1.1.4-3),
- libasound2-dev [linux-any],
+ python3,
 Rules-Requires-Root: no
 Homepage: http://www.mega-nerd.com/libsndfile/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsndfile.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsndfile
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 
 Package: libsndfile1-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
+ ${misc:Depends}, ${shlibs:Depends},
  libsndfile1 (= ${binary:Version}),
  pkg-config,
+ libflac-dev (>= 1.1.4-3),
+ libopus-dev,
  libvorbis-dev (>= 1.2.3),
- libflac-dev (>= 1.1.4-3),
 Conflicts: libsndfile-dev,
  libsndfile0-dev
 Replaces: libsndfile-dev

=== debian/watch ===
version=4
opts=dversionmangle=s/~(dfsg|ds|repack)(\.?[0-9]*)?$// \
  https://github.com/libsndfile/libsndfile/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## libsndfile 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,27 @@
 	endif ()
 endif ()
 
-project(libsndfile VERSION 1.0.31)
+option (ENABLE_EXTERNAL_LIBS "Enable FLAC, Vorbis, and Opus codecs" ON)
+if (ENABLE_EXTERNAL_LIBS)
+	list (APPEND VCPKG_MANIFEST_FEATURES "external-libs")
+endif ()
+
+option (ENABLE_MPEG "Enable MPEG codecs" ON)
+if (ENABLE_MPEG)
+	list (APPEND VCPKG_MANIFEST_FEATURES "mpeg")
+endif ()
+
+option (ENABLE_EXPERIMENTAL "Enable experimental code" OFF)
+if (ENABLE_EXPERIMENTAL)
+	list (APPEND VCPKG_MANIFEST_FEATURES "speex")
+endif ()
+
+option (BUILD_REGTEST "Build regtest" OFF)
+if (BUILD_REGTEST)
+	list (APPEND VCPKG_MANIFEST_FEATURES "regtest")
+endif ()
+
+project(libsndfile VERSION 1.2.0)
 
 #
 # Variables
@@ -54,7 +74,6 @@
 option (BUILD_PROGRAMS "Build programs" ON)
 option (BUILD_EXAMPLES "Build examples" ON)
 option (ENABLE_CPACK "Enable CPack support" ON)
-option (ENABLE_EXPERIMENTAL "Enable experimental code" OFF)
 option (ENABLE_BOW_DOCS "Enable black-on-white html docs" OFF)
 if (MSVC AND (DEFINED ENABLE_STATIC_RUNTIME))
 	option (ENABLE_STATIC_RUNTIME "Enable static runtime" ${ENABLE_STATIC_RUNTIME})
@@ -75,9 +94,16 @@
 
 include(SndFileChecks)
 
-
-cmake_dependent_option (BUILD_REGTEST "Build regtest" ON "SQLITE3_FOUND" OFF)
-cmake_dependent_option (ENABLE_EXTERNAL_LIBS "Enable FLAC, Vorbis, and Opus codecs" ON "Vorbis_FOUND;FLAC_FOUND;OPUS_FOUND" OFF)
+if (ENABLE_EXTERNAL_LIBS AND NOT (Vorbis_FOUND OR FLAC_FOUND OR OPUS_FOUND))
+	set (ENABLE_EXTERNAL_LIBS OFF)
+endif()
+if(ENABLE_MPEG AND (NOT HAVE_MPEG_LIBS))
+	set (ENABLE_MPEG OFF)
+endif()
+if (BUILD_REGTEST AND (NOT SQLITE3_FOUND))
+	set (BUILD_REGTEST OFF)
+endif()
+
 cmake_dependent_option (ENABLE_CPU_CLIP "Enable tricky cpu specific clipper" ON "CPU_CLIPS_POSITIVE;CPU_CLIPS_NEGATIVE" OFF)
 if (NOT ENABLE_CPU_CLIP)
 	set (CPU_CLIPS_POSITIVE FALSE)
@@ -104,11 +130,12 @@
 set (HAVE_SNDIO_H ${SNDIO_FOUND})
 
 set (ENABLE_EXPERIMENTAL_CODE ${ENABLE_EXPERIMENTAL})
+set (HAVE_MPEG ${ENABLE_MPEG})
 set (HAVE_SPEEX ${ENABLE_EXPERIMENTAL})
-set (HAVE_OPUS ${ENABLE_EXPERIMENTAL})
 
 add_feature_info (BUILD_SHARED_LIBS BUILD_SHARED_LIBS "build shared libraries")
 add_feature_info (ENABLE_EXTERNAL_LIBS ENABLE_EXTERNAL_LIBS "enable FLAC, Vorbis, and Opus codecs")
+add_feature_info (ENABLE_MPEG ENABLE_MPEG "enable MPEG audio (including mp3) codecs")
 add_feature_info (ENABLE_EXPERIMENTAL ENABLE_EXPERIMENTAL "enable experimental code")
 add_feature_info (BUILD_TESTING BUILD_TESTING "build tests")
 add_feature_info (BUILD_REGTEST BUILD_REGTEST "build regtest")
@@ -147,6 +174,18 @@
 	DESCRIPTION "Free Lossless Audio Codec Library"
 	PURPOSE "Enables FLAC support"
 	)
+set_package_properties (mp3lame PROPERTIES
+	TYPE RECOMMENDED
+	URL "https://lame.sourceforge.io/"
+	DESCRIPTION "High quality MPEG Audio Layer III (MP3) encoder"
+	PURPOSE "Enables MPEG layer III (MP3) writing support"
+	)
+set_package_properties (MPG123 PROPERTIES
+	TYPE RECOMMENDED
+	URL "https://www.mpg123.de/"
+	DESCRIPTION "MPEG Audio Layer I/II/III decoder"
+	PURPOSE "Enables MPEG Audio reading support"
+	)
 set_package_properties(Opus PROPERTIES
 	TYPE RECOMMENDED
 	URL	"www.opus-codec.org/"
@@ -180,8 +219,6 @@
 #
 
 configure_file (src/config.h.cmake src/config.h)
-
-configure_file (include/sndfile.h.in include/sndfile.h)
 
 if (INSTALL_PKGCONFIG_MODULE)
 
@@ -196,6 +233,10 @@
 			set (EXTERNAL_XIPH_REQUIRE "${EXTERNAL_XIPH_REQUIRE} speex")
 		endif ()
 	endif ()
+	if (ENABLE_MPEG)
+		set (EXTERNAL_MPEG_REQUIRE "libmpg123")
+		set (EXTERNAL_MPEG_LIBS "-lmp3lame")
+	endif ()
 
 	configure_file (sndfile.pc.in sndfile.pc @ONLY)
 
@@ -207,8 +248,8 @@
 
 # Public libsndfile headers
 set (sndfile_HDRS
+	include/sndfile.h
 	include/sndfile.hh
-	${CMAKE_CURRENT_BINARY_DIR}/include/sndfile.h
 	)
 
 #
@@ -247,6 +288,7 @@
 	src/ogg.c
 	src/chanmap.h
 	src/chanmap.c
+	src/id3.h
 	src/id3.c
 	$<$<BOOL:${WIN32}>:src/windows.c>
 	src/sndfile.c
@@ -284,8 +326,12 @@
 	src/ogg_speex.c
 	src/ogg_pcm.c
 	src/ogg_opus.c
+	src/ogg_vcomment.h
 	src/ogg_vcomment.c
 	src/nms_adpcm.c
+	src/mpeg.c
+	src/mpeg_decode.c
+	src/mpeg_l3_encode.c
 	src/GSM610/config.h
 	src/GSM610/gsm.h
 	src/GSM610/gsm610_priv.h
@@ -349,6 +395,8 @@
 		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:FLAC::FLAC>
 		$<$<AND:$<BOOL:${ENABLE_EXPERIMENTAL}>,$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>,$<BOOL:${HAVE_SPEEX}>>:Speex::Speex>
 		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:Opus::opus>
+		$<$<BOOL:${HAVE_MPEG}>:MPG123::libmpg123>
+		$<$<BOOL:${HAVE_MPEG}>:mp3lame::mp3lame>
 	)
 set_target_properties (sndfile PROPERTIES
 	PUBLIC_HEADER "${sndfile_HDRS}"
@@ -368,56 +416,31 @@
 
 if (BUILD_SHARED_LIBS)
 
+	#
+	# ABI version of library.
+	#
+
+	#
+	# Read libtool version from `configure.ac` and set libsndfile ABI version:
+	#
+	#   SNDFILE_ABI_VERSION_MAJOR
+	#   SNDFILE_ABI_VERSION_MINOR
+	#   SNDFILE_ABI_VERSION_PATCH
+	#   SNDFILE_ABI_VERSION
+	#
+	# and Mach-O current and compatibility versions:
+	#
+	#   SNDFILE_MACHO_CURRENT_VERSION
+	#   SNDFILE_MACHO_COMPATIBILITY_VERSION
+	#
+
+	include (SetupABIVersions)
+
+	setup_abi_versions()
+
 	if (WIN32)
 		set (VERSION_MAJOR ${CPACK_PACKAGE_VERSION_MAJOR})
 		set (GEN_TOOL cmake)
 		
 		set (WIN_RC_VERSION "${CPACK_PACKAGE_VERSION_MAJOR},${CPACK_PACKAGE_VERSION_MINOR},${CPACK_PACKAGE_VERSION_PATCH}")
 		set (CLEAN_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
-		set (PACKAGE_VERSION ${CPACK_PACKAGE_VERSION})
-
-		configure_file (src/version-metadata.rc.in src/version-metadata.rc @ONLY)
-		target_sources (sndfile PRIVATE ${PROJECT_BINARY_DIR}/src/version-metadata.rc)
-	endif ()
-
-	set_target_properties (sndfile PROPERTIES
-		SOVERSION ${PROJECT_VERSION_MAJOR}
-		VERSION ${PROJECT_VERSION}
-		)
-
-	# Symbol files generation
-
-	if (WIN32)
-		set (SYMBOL_FILENAME "sndfile.def")
-		set (SYMBOL_OS "win32")
-	elseif ((CMAKE_SYSTEM_NAME MATCHES "Darwin") OR (CMAKE_SYSTEM_NAME MATCHES "Rhapsody"))
-		set (SYMBOL_FILENAME "Symbols.darwin")
-		set (SYMBOL_OS "darwin")
-	elseif (CMAKE_SYSTEM_NAME MATCHES "OS2")
-		set (SYMBOL_FILENAME "Symbols.os2")
-		set (SYMBOL_OS "os2")
-	elseif (UNIX)
-		set (SYMBOL_FILENAME "Symbols.gnu-binutils")
-		set (SYMBOL_OS "linux")
-	endif ()
-
-	if (DEFINED SYMBOL_OS)
-		add_custom_command (
-			OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
-			COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/src/create_symbols_file.py ${SYMBOL_OS} ${PROJECT_VERSION} > ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
-			COMMENT "Generating ${SYMBOL_FILENAME}..."
-			)
-
-		add_custom_target (GENFILES DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME})
-		if (SYMBOL_OS MATCHES "win32")
-			target_sources (sndfile
-				PRIVATE
-					${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
-				)
-		elseif (SYMBOL_OS MATCHES "darwin")
-			add_dependencies (sndfile GENFILES)
-			if (CMAKE_VERSION VERSION_LESS 3.13)
-				set_property (TARGET sndfile APPEND_STRING PROPERTY
-					LINK_FLAGS "-Wl,-exported_symbols_list -Wl,${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}"
-					)
-			else ()

=== debian/changelog ===
libsndfile (1.2.0-1+deb12u1) bookworm; urgency=medium

  * CVE-2022-33065 (Closes: #1051891)
  * CVE-2024-50612 (Closes: #1088692)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 24 Aug 2025 15:45:51 +0200

libsndfile (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2.0
  * Bump Standards-Version to 4.6.2
  * Refresh patchset, drop patches applied by upstream

 -- Dennis Braun <snd@debian.org>  Sat, 31 Dec 2022 15:51:23 +0100

libsndfile (1.1.0-3) unstable; urgency=medium

  * Add patch to fix clipping of non-int32 numbers
  * Mark patches as applied upstream
  * Fix typo in d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Oct 2022 10:47:11 +0200

libsndfile (1.1.0-2) unstable; urgency=medium

  * Add patch to use fuzzy comparison in test-suite

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 Sep 2022 11:03:40 +0200

libsndfile (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    (contains a fix for CVE-2021-4156)
    (Closes: #1014713)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Update Build-Dependencies for new upstream powers
  * Fix FTCBFS: Annotate Build-Depends: python3 with :any.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #1003506)
  * libsndfile-dev
    * Add patch to fix pkg-config file
    * Update docs/install
    * Depend on libmpg123-dev
    * Demote dependency on pkg-config to Recommends
    * Have autopkgtests B-D on pkg-config
  * Use execute_after_dh_* instead of override_dh_*
  * Add B-D stanza to symbols file
  * Update d/copyright
    * Refresh d/copyright
    * Merge duplicate entries in d/copyright
    * Bump dates in d/copyright
    * Add missing licenses
    * Add 'licensecheck' target
    * Generate d/copyright_hints
  * Run 'wrap-and-sort -ast'
  * Fix d/watch
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Sep 2022 22:39:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,50 @@
 Source: libsndfile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ autogen,
  debhelper-compat (= 13),
- autogen,
+ libasound2-dev [linux-any],
+ libflac-dev,
+ libmp3lame-dev,
+ libmpg123-dev,
+ libogg-dev,
+ libopus-dev,
+ libspeex-dev,
+ libsqlite3-dev <!nocheck>,
+ libvorbis-dev,
  pkg-config,
- libasound2-dev [linux-any],
- libflac-dev (>= 1.1.4-3),
- libopus-dev,
- libvorbis-dev (>= 1.2.3),
- python3,
+ python3:any,
 Rules-Requires-Root: no
 Homepage: http://www.mega-nerd.com/libsndfile/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsndfile.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsndfile
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 
 Package: libsndfile1-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends}, ${shlibs:Depends},
+ libflac-dev,
+ libmpg123-dev,
+ libopus-dev,
  libsndfile1 (= ${binary:Version}),
+ libvorbis-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
  pkg-config,
- libflac-dev (>= 1.1.4-3),
- libopus-dev,
- libvorbis-dev (>= 1.2.3),
-Conflicts: libsndfile-dev,
- libsndfile0-dev
-Replaces: libsndfile-dev
-Provides: libsndfile-dev
+Conflicts:
+ libsndfile-dev,
+ libsndfile0-dev,
+Replaces:
+ libsndfile-dev,
+Provides:
+ libsndfile-dev,
 Description: Development files for libsndfile; a library for reading/writing audio files
  libsndfile is a library of C routines for reading and writing files containing
  sampled audio data.
@@ -46,7 +56,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -66,7 +77,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: sndfile-tools
+Recommends:
+ sndfile-tools,
 Description: Sample programs that use libsndfile
  This package contains simple programs which use libsndfile for operating on
  sound files.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2017-2020 IOhannes m zmölnig
# under the LGPL-2.1+

DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
	dh_auto_build -- checkprograms

execute_after_dh_clean:
	-find man/ -type l -delete

execute_after_dh_install:
	find debian/libsndfile1-dev/ -name test_wrapper.sh -exec \
		sed -e 's|^\(ABS_TOP_SRCDIR\)=.*|\1=$$\(pwd\)|' -i {} +
	find debian/libsndfile1-dev/ -name pedantic-header-test.sh -exec \
		sed -e 's| -I *[^ ]*| |g' -i {} +
	find debian/libsndfile1-dev/usr/lib/ -name "*.sh" -exec \
		chmod +x {} +

licensecheck:
	licensecheck --check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## libsndfile 1.2.2

=== debian/changelog ===
libsndfile (1.2.2-3) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Replace Build-Depends: python3:any with dh-sequence-python3
  * Replace pkg-config with pkgconf in the test suite
  * Drop obsolete debian/README.source file

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Force "C" standard to C99 (Closes: #1097272)
  * Update copyright information
    + Update 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Sep 2025 12:23:08 +0200

libsndfile (1.2.2-2) unstable; urgency=high

  [ Fabian Toepfer ]
  * SECURITY UPDATE: integer overflow vulnerability (Closes: #1051891)
    - debian/patches/CVE-2022-33065/CVE-2022-33065-*.patch: fix various
      numeric overflow vulnerabilities.
    - CVE-2022-33065

  [ Fabian Greffrath ]
  * Add myself to Uploaders and Debian packaging copyright holders
  * Update the Homepage field
  * Apply patch from upstream to improve error checking for Vorbis
    (Closes: #1088692) CVE-2024-50612
  * Fix Build dependency loop between libsndfile and lame
    (Closes: #1076516) Thanks Samuel Thibault for the patch
  * Upload with urgency=high for the security fixes

 -- Fabian Greffrath <fabian@debian.org>  Sat, 14 Dec 2024 13:50:37 +0100

libsndfile (1.2.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 1.2.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove remaining build artifacts on 'clean' (Closes: #1046007)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Aug 2023 14:34:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+ Fabian Greffrath <fabian@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  autogen,
- debhelper-compat (= 13),
  libasound2-dev [linux-any],
  libflac-dev,
- libmp3lame-dev,
- libmpg123-dev,
+ libmp3lame-dev <!pkg.libsndfile.nompeg3>,
+ libmpg123-dev <!pkg.libsndfile.nompeg3>,
  libogg-dev,
  libopus-dev,
  libspeex-dev,
  libsqlite3-dev <!nocheck>,
  libvorbis-dev,
- pkg-config,
- python3:any,
+ pkgconf,
 Rules-Requires-Root: no
-Homepage: http://www.mega-nerd.com/libsndfile/
+Homepage: https://libsndfile.github.io/libsndfile/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsndfile.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsndfile
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: libsndfile1-dev
 Section: libdevel
@@ -30,14 +31,14 @@
 Multi-Arch: same
 Depends:
  libflac-dev,
- libmpg123-dev,
+ libmpg123-dev <!pkg.libsndfile.nompeg3>,
  libopus-dev,
  libsndfile1 (= ${binary:Version}),
  libvorbis-dev,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- pkg-config,
+ pkgconf,
 Conflicts:
  libsndfile-dev,
  libsndfile0-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # under the LGPL-2.1+
 
 DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -std=c99
 
 %:
 	dh $@
@@ -21,8 +22,15 @@
 	find debian/libsndfile1-dev/usr/lib/ -name "*.sh" -exec \
 		chmod +x {} +
 
+################ d/copyright helper ##############
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --check '.*' --recursive --deb-machine --lines 0 * \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

=== debian/tests/control ===
Tests:
 libsndfile1-dev,
Restrictions:
 allow-stderr,
 superficial,
Depends:
 build-essential,
 libsndfile1-dev,
 pkgconf,

Tests:
 upstream-testsuite,
Restrictions:
 allow-stderr,
Depends:
 build-essential,
 pkgconf,
 python3,
 @,
